/*
 * $Id: nsCFHProtocolModule.cpp,v 1.3 2004/01/04 17:57:10 schilz Exp $
 *
 * Copyright (c) 2003-2004  Dr. Thomas Schilz
 *
 * This file is part of MozPHP.
 *
 * MozPHP is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MozPHP is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MozPHP; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "nsIModule.h"
#include "nsIGenericFactory.h"
#include "nsCFHChannel.h"
#include "nsCFHProtocolHandler.h"

static const nsModuleComponentInfo components[] = 
{
    { "CFH Protocol Handler", 
      NS_CFHPROTOCOLHANDLER_CID,  
      NS_NETWORK_PROTOCOL_CONTRACTID_PREFIX SCHEME, 
      nsCFHProtocolHandler::Create
    },
    { NS_CFHCHANNEL_CLASSNAME,
      NS_CFHCHANNEL_CID,  
      NS_CFHCHANNEL_CONTRACTID, 
      nsCFHChannel::Create
    }
};

NS_IMPL_NSGETMODULE (nsCFHProtocolModule, components);
