#
# $Id: config.mk,v 1.3 2004/01/08 01:50:56 schilz Exp $
#
# Copyright (c) 2004  Dr. Thomas Schilz
#
# This file is part of MozPython.
#
# MozPython is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MozPython is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with MozPython; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

ifeq ($(OS_ARCH),WINNT)
  ifeq ($(MOZ_DEBUG),1)
    DBG_SFX = _d
  else
    DBG_SFX =
  endif
endif


MOZPYTHON_VERSION = 0.1.0
MOZILLA_VERSION = 1.5
PYTHON_VERSION  = 2.3


ifeq ($(OS_ARCH),WINNT)
PYTHON_INCLUDE_DIR	= /cygdrive/e/Python232/include
PYTHON_LIB_DIR		= /cygdrive/e/Python232/libs
PYTHON_LIB			= python23$(DBG_SFX).lib
else
PYTHON_INCLUDE_DIR	= /usr/local/include/python$(PYTHON_VERSION)
PYTHON_LIB_DIR		= /usr/local/lib
PYTHON_LIB			= -lpython$(PYTHON_VERSION)
endif
