/*
 * $Id: mpdlpxpc.cpp,v 1.2 2004/01/08 01:36:10 schilz Exp $
 *
 * Copyright (c) 2004  Dr. Thomas Schilz
 *
 * This file is part of MozPython.
 *
 * MozPython is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MozPython is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MozPython; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "nsIAllocator.h"
#include "nsIWeakReference.h"
#include "nsIInterfaceInfoManager.h"
#include "nsIClassInfo.h"
#include "nsIComponentManager.h"
#include "nsIServiceManager.h"
#include "nsIInputStream.h"
#include "nsIVariant.h"


#include "nsXPIDLString.h"
#include "nsCRT.h"
#include "xptcall.h"
#include "xpt_xdr.h"

#include "Python.h"
#include "PyXPCOM.h"

#ifdef WIN32
#	define EXPORT __declspec(dllexport)
#else
#	define EXPORT
#endif

extern "C" {

EXPORT PyObject *PyObjectFromInterface
	(nsISupports *pis, const nsIID &riid,
	 PRBool bAddRef, PRBool bMakeNicePyObject = PR_TRUE)
{
	return Py_nsISupports::PyObjectFromInterface
								(pis, riid, bAddRef, bMakeNicePyObject);
}

};
